import FSM
import utils as u
import menus as m
import os
import pygame
import sys
#====================================     

State = type("State", (object,), {})
#====================================     
class State(object):
	def __init__(self, FSM):
		self.FSM = FSM
	def Enter(self):
		pass
	def Execute(self):
		pass
	def Exit(self):
		pass


class Reboot(State):
	def __init__(self,FSM):
		super(Reboot, self).__init__(FSM)    
		
	def Enter(self):
		o = self.FSM.owner
		o.draw.rectangle((0, 0, o.width, o.height), outline=0, fill=o.blue)			
		o.center_block("rebooting", o.h2, [0, 0, o.width,o.height], o.light_grey)
		o.update_display(0)
		command = 'bash -c "sleep 5; sudo shutdown -r now"&'
		os.system(command)
		pygame.quit()
		sys.exit()
		super(Reboot, self).Enter()        
		
	def Execute(self):
		pass
		
	def Exit(self):
		pass